@import url('http://fonts.googleapis.com/css?family=Poppins:200,300,400,500,600,700,800,900,&display=swap');


*{
    margin: 0;
    padding: 0;
    font-family:'Poppins', sans-serif ;
    scroll-behavior: smooth;
}
header{
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    padding:40px 100px ;
    z-index: 1000;
    display: flex;
    justify-content: space-between;
    align-items: center;
    transition: 0.5s;
}
header.sticky{
    background-color: rgb(240, 248, 255);
    padding:20px 100px;
    box-shadow: 0 5px 20px rgba(0, 0, 0, 0.1);
}



header .logo{
    color: #fff;
    font-size: 24px;
    text-transform: uppercase;
    text-decoration: none;
    font-weight: 700;
    letter-spacing: 2px;
}
header.sticky .logo{
    color: #111;
}
header ul{
    position: relative;
    display: flex;
}

header ul li{
    position: relative;
    list-style: none;

}
header ul li:hover{
    transform: scale(1.3);
}
.logo:hover{
    transform: scale(1.3);
}

header ul li a{
    position: relative;
    display: inline-block;
    margin:0 15px;
    color: #fff;
    text-decoration: none;
    font-weight: bolder;
}
header.sticky ul li a{
    color: #111;
}


body{
    margin: 0;
    background-color: #111;
    margin-top: 100px;
}

/* .info{
    margin-top: 100px;
} */
img
{
    width: 30px;
    height: 30px;
}
.heading{
    height: 170px;
    position: relative;
    /* background-color: #aa1446;
     */
    box-shadow: 3px #000000;

}

.heading .center{
    margin: 0;
    position: absolute;
    top: 50%;
    left: 50%;
    -ms-transform: translate(-50%, -50%);
    transform: translate(-50%, -50%);

    text-align: center;
}

.heading .center h1 { 
    
    color: white; 
    font-size:45px; 
    font-style: normal; 
    font-variant: normal; 
 
   
}
    .process
{
    display: flex;
    align-items: center;
    justify-content: center;
    height: 55px;
    width: 55px;
    background-color: rgb(255, 255, 255);
    border-radius: 50%;
    margin: 20px 40px;
    animation-name: slidein;
    animation-duration: 8s;
    animation-fill-mode: forwards;
    animation-timing-function: linear;
    z-index: 100;
}

#mutex
{
    padding-left: 14.36%;
    padding-top: 5px;
    display: flex;
    /* align-items: left; */
    /* justify-content: center; */
    width: 50%;
    font-size: 40px;
    font-family: Arial, Helvetica, sans-serif;
    color: rgb(243, 211, 241);
}
@keyframes slidein{
    from{
        margin-left: 40px;
        background-color: #111;
    }
    31.66%{
        background-color:  cornflowerblue;
    }
    to{
        margin-left: 340%;
        background-color: cadetblue;
    }
}
#activity
{
    display: flex;
    /* height: 1000px; */
    width: 39%;
}

#status
{
    width: 100%;
    max-height: 300px;
    overflow: auto;
    font-size: 20px;
    font-family: Arial, Helvetica, sans-serif;
    color:#fff;
    border: 1px white;
}

#properties
{
    overflow: auto;
    width: auto;
    height: max-content;
    position: absolute;
    top: 600px;
    color: #fff;
}

.tb
{
    /* border: 2px; */
    /* border-style: dashed; */
    font-size: xx-large;
    border-width: 2px;
    border-spacing: 7px;
    padding-left: 20px;
}


#processCon{
    display: flex;
    margin: 20px;
}

#stage
{
    display: flex;
    flex-direction: column;
    /* padding-top: 50px; */
}

#stage, #entry, #critical, #exit
{
    width: 10%;
    border: 1px rgb(39, 46, 46)
}


#start
{
    display: flex;
    align-items: center;
    width: 200px;
    margin-left: 400px;
    margin-bottom: 100px !important;
    float: left;
}

#reset
{
    float: left;
    margin-left: 20px;
}


#home
{
    margin-top: 0%;
    margin-left: 20px;
    float: left;
}

button
{
    padding: 10px 20px;
    font-size: 15px;
    font-weight: 600;
    text-align: center;
    cursor: pointer;
    outline: none;
    color: #fff;
    background: #2196f3;
    border: none;
    border-radius: 10px;
    /* box-shadow: 0 9px #999; */
}

.my_content_container a 
{
    border-bottom: 1px solid #777777;
    border-left: 1px solid #000000;
    border-right: 1px solid #333333;
    border-top: 1px solid #000000;
    color: #000000;
    display: flex;
    height: 2.5em;
    width: 10em;
    padding: 0 1em;
    width: 5em;       
    text-decoration: none;  
    margin: 20px; 
    justify-content: center;
    align-items: center;
    background-color: #333333;
    color: white;    
}

#incon
{
    display: flex;
    justify-content: center;
    align-items: center; 
    flex-direction: column;
    font-size: large;
    margin-top: 150px;
    background-color: darkgray;
    width: 700px;
}

#indBody
{
    display: flex;
    justify-content: center;
    align-items: center;
    background-color: lightgray;
}

.space
{
    width: 150px;
}